Subject: Re: [PATCH] CodingGuidelines: document test balloons in flight

From: Junio C Hamano <[email-masked]>
Date: Sat, 26 Jul 2025 16:15:21 -0700

Collin Funk <[email-masked]> writes:

>> So the only effect it would have is to smoke out truly slow platform
>> maintainers; if their users are happy enough with such slow upgrade,
>> they have lived and they can live with versions of Git that are
>> years stale that we no longer care about.
>
>
> For what it is worth, Gnulib and threfore Coreutils, among others, began
> using compound literals in 2017 and it seems to have not caused any
> problems [1]. Even 'pcc' supports them.

Thanks.  Our worry however includes platforms outside the Open
Source and/or Free Software ecosystem, which would not be helped
very much.